# osg::AnimationPath::ControlPoint Struct Reference

List of all members.

## Public Member Functions

| ControlPoint ()
| ControlPoint (const osg::Vec3d &position)
| ControlPoint (const osg::Vec3d &position, const osg::Quat &rotation)
| ControlPoint (const osg::Vec3d &position, const osg::Quat &rotation, const osg::Vec3d &scale)
void | interpolate (float ratio, const ControlPoint &first, const ControlPoint &second)
void | getMatrix (Matrixf &matrix) const
void | getMatrix (Matrixd &matrix) const
void | getInverse (Matrixf &matrix) const
void | getInverse (Matrixd &matrix) const

## Public Attributes

osg::Vec3d | _position
osg::Quat | _rotation
osg::Vec3d | _scale

## Constructor & Destructor Documentation

osg::AnimationPath::ControlPoint::ControlPoint | ( |  | ) | `[inline]`

osg::AnimationPath::ControlPoint::ControlPoint | ( | const osg::Vec3d & | position | ) | `[inline]`

osg::AnimationPath::ControlPoint::ControlPoint | ( | const osg::Vec3d & | position,
|  | const osg::Quat & | rotation
| ) | `[inline]`

osg::AnimationPath::ControlPoint::ControlPoint | ( | const osg::Vec3d & | position,
|  | const osg::Quat & | rotation,
|  | const osg::Vec3d & | scale
| ) | `[inline]`

## Member Function Documentation

void osg::AnimationPath::ControlPoint::getInverse | ( | Matrixd & | matrix | ) | const`[inline]`

void osg::AnimationPath::ControlPoint::getInverse | ( | Matrixf & | matrix | ) | const`[inline]`

void osg::AnimationPath::ControlPoint::getMatrix | ( | Matrixd & | matrix | ) | const`[inline]`

void osg::AnimationPath::ControlPoint::getMatrix | ( | Matrixf & | matrix | ) | const`[inline]`

void osg::AnimationPath::ControlPoint::interpolate | ( | float | ratio,
|  | const ControlPoint & | first,
|  | const ControlPoint & | second
| ) | `[inline]`

## Member Data Documentation

osg::Vec3d osg::AnimationPath::ControlPoint::_position

osg::Quat osg::AnimationPath::ControlPoint::_rotation

osg::Vec3d osg::AnimationPath::ControlPoint::_scale

The documentation for this struct was generated from the following file:

- AnimationPath